data:extend({
    {
		type = "technology",
		name = "hexi-oretech-tier1",
		icon = "__Hexi_Inline_Ore_Processing__/graphics/tech1.png",
		unit =
		{
			count = 100,
			ingredients =
			{
				{"science-pack-1", 1}
			},
			time = 15
		},
		prerequisites = {},
		effects = {
			{
				type = "unlock-recipe",
				recipe = "hexi-ore-enrichment-machine"
			}
        }
    },
    {
		type = "technology",
		name = "hexi-oretech-tier2",
		icon = "__Hexi_Inline_Ore_Processing__/graphics/tech2.png",
		unit =
		{
			count = 250,
			ingredients =
			{
				{"science-pack-1", 2},
				{"science-pack-2", 1}
			},
			time = 30
		},
		prerequisites = {"hexi-oretech-tier1", "advanced-material-processing"},
		effects = {
			{
				type = "unlock-recipe",
				recipe = "hexi-ore-crushing-machine"
			}
        }
    },
    {
		type = "technology",
		name = "hexi-oretech-tier3",
		icon = "__Hexi_Inline_Ore_Processing__/graphics/tech3.png",
		unit =
		{
			count = 500,
			ingredients =
			{
				{"science-pack-1", 1},
				{"science-pack-2", 3},
				{"science-pack-3", 2}
			},
			time = 45
		},
		prerequisites = {"hexi-oretech-tier2", "advanced-material-processing-2"},
		effects = {
			{
				type = "unlock-recipe",
				recipe = "hexi-ore-cleaning-machine"
			}
        }
    },
    {
		type = "technology",
		name = "hexi-oretech-tier4",
		icon = "__Hexi_Inline_Ore_Processing__/graphics/tech4.png",
		unit =
		{
			count = 750,
			ingredients =
			{
				{"science-pack-1", 2},
				{"science-pack-2", 2},
				{"science-pack-3", 2},
				{"high-tech-science-pack", 1}
			},
			time = 60
		},
		prerequisites = {"hexi-oretech-tier3", "productivity-module-3"},
		effects = {
			{
				type = "unlock-recipe",
				recipe = "hexi-ore-liquidating-machine"
			},
			{
				type = "unlock-recipe",
				recipe = "hexi-ore-crystal-machine"
			}
        }
    }
})